------------------------------------------------------------
revno: 3389
committer: Georgi Kodinov <Georgi.Kodinov@Oracle.com>
branch nick: mysql-5.5.11-release
timestamp: Thu 2011-03-31 16:08:31 +0300
message:
  Merged the fix for bug #11936829 to 5.5.11 release 
  
  Bug #11936829: DIFF. BETWEEN MYSQL.USER (AUTHENTICATION_STRING) IN 
    FRESH AND UPGRADED 5.5.11
               
  There was no modification for pre 5.5.11 builds that had 
  authentication_string.  Thus the column was not upgraded 
  by mysql_upgrade.
                           
  Fixed by adding an ALTER TABLE MODIFY to update an existing 
  column to the latest type version.
                                       
  Test suite added.
------------------------------------------------------------
revno: 3388
committer: MySQL Build Team <build@mysql.com>
branch nick: mysql-5.5.11-release
timestamp: Tue 2011-03-22 16:52:03 +0100
message:
   Per Jon Olav, change needed for Bug#11784056
------------------------------------------------------------
revno: 3387 [merge]
committer: Sunanda Menon <sunanda.menon@oracle.com>
branch nick: mysql-5.5.11-release
timestamp: Tue 2011-03-22 14:34:04 +0100
message:
  merge
    ------------------------------------------------------------
    revno: 3097.3.20
    committer: Jon Olav Hauglid <jon.hauglid@oracle.com>
    branch nick: mysql-5.5.10-release
    timestamp: Wed 2011-03-09 16:06:13 +0100
    message:
      Bug#11815600 [ERROR] INNODB COULD NOT FIND INDEX PRIMARY
                   KEY NO 0 FOR TABLE IN ERROR LOG 
      
      With the changes made by the patches for Bug#11751388 and
      Bug#11784056, concurrent reads are allowed while secondary
      indexes are created in InnoDB. This means that the metadata
      lock on the affected table is not upgraded to exclusive
      until the .FRM is updated at the end of ALTER TABLE processing.
      
      The problem was that if this lock upgrade failed for some
      reason (e.g. timeout), the index information in the server
      and inside InnoDB would be out of sync. This would happen
      since the add index operation already was committed inside 
      InnoDB but the table metadata inside the server had not been
      updated yet.
      
      This patch fixes the problem by (for now) reverting the
      effects of the patches for Bug#11751388 and Bug#11784056.
      Concurrent reads will now again be blocked during creation
      of secondary indexes in InnoDB.
      
      Test case added to innodb_mysql_lock.test.
------------------------------------------------------------
revno: 3386 [merge]
tags: clone-5.5.11-build
committer: Georgi Kodinov <Georgi.Kodinov@Oracle.com>
branch nick: B59038-5.5
timestamp: Fri 2011-03-18 17:00:13 +0200
message:
  merge
    ------------------------------------------------------------
    revno: 3380.2.2 [merge]
    committer: Tor Didriksen <tor.didriksen@oracle.com>
    branch nick: 5.5
    timestamp: Fri 2011-03-18 13:38:18 +0100
    message:
      local merge
    ------------------------------------------------------------
    revno: 3380.2.1
    committer: Tor Didriksen <tor.didriksen@oracle.com>
    branch nick: 5.5
    timestamp: Thu 2011-03-03 15:25:41 +0100
    message:
      Bug #11792200 - DIVIDING LARGE NUMBERS CAUSES STACK CORRUPTIONS
      
      This was a buffer overrun in do_div_mod(), overwriting the internal buffer
      of auto variable 'tmp' in Item_func_int_div::val_int.
      Result on windows: 'this' is set to zero, and crash.
      Ran fine on other platforms (no valgrind warnings),
      but this is undefined behaviour on any platform of course.
------------------------------------------------------------
revno: 3385
committer: Georgi Kodinov <Georgi.Kodinov@Oracle.com>
branch nick: B59038-5.5
timestamp: Fri 2011-03-18 16:16:17 +0200
message:
  Bug # 11766011: mysql.user.authentication_string column causes 
    configuration wizard to fail
  
  Made the fields mysql.user.plugin and mysql.user.authentication_string
  nullable to conform with some older clients doing inserts instead of 
  using the commands.
------------------------------------------------------------
revno: 3384 [merge]
committer: Vinay Fisrekar <vinay.fisrekar@sun.com>
branch nick: mysql-5.5
timestamp: Fri 2011-03-18 16:44:42 +0530
message:
  up-merge 5.1 --> 5.5 
  +
  Bug#11766500 - 59624: FUNCS_1 SUITE TESTS FAILING WITH RESULT DIFFERENCE WHEN RUN USING EMBEDDED MODE
        
  Updating result files for embedded mode 
    ------------------------------------------------------------
    revno: 2661.752.4
    committer: Vinay Fisrekar <vinay.fisrekar@sun.com>
    branch nick: mysql-5.1
    timestamp: Fri 2011-03-18 16:35:57 +0530
    message:
      Bug#11766500 - 59624: FUNCS_1 SUITE TESTS FAILING WITH RESULT DIFFERENCE WHEN RUN USING EMBEDDED MODE
            
      Updating result files
------------------------------------------------------------
revno: 3383 [merge]
committer: Alexander Nozdrin <alexander.nozdrin@oracle.com>
branch nick: mysql-5.5
timestamp: Fri 2011-03-18 13:58:05 +0300
message:
  Merge from mysql-5.1.
    ------------------------------------------------------------
    revno: 2661.752.3 [merge]
    committer: Kent Boortz <kent.boortz@sun.com>
    branch nick: mysql-5.1
    timestamp: Thu 2011-03-17 15:06:25 +0100
    message:
      Merge
    ------------------------------------------------------------
    revno: 2661.752.2 [merge]
    committer: Kent Boortz <kent.boortz@sun.com>
    branch nick: mysql-5.1
    timestamp: Wed 2011-03-16 23:33:12 +0100
    message:
      Merge
    ------------------------------------------------------------
    revno: 2661.752.1 [merge]
    committer: Kent Boortz <kent.boortz@sun.com>
    branch nick: mysql-5.1
    timestamp: Wed 2011-03-16 23:07:05 +0100
    message:
      Removed the "Third-Party Component Notices" part from README
------------------------------------------------------------
revno: 3382 [merge]
committer: Mattias Jonsson <mattias.jonsson@oracle.com>
branch nick: topush-5.5
timestamp: Fri 2011-03-18 11:18:23 +0100
message:
  merge
    ------------------------------------------------------------
    revno: 3380.1.1
    committer: Mattias Jonsson <mattias.jonsson@oracle.com>
    branch nick: b11867664-55
    timestamp: Fri 2011-03-18 11:03:54 +0100
    message:
      Bug#11867664:  SERVER CRASHES ON UPDATE WITH JOIN ON PARTITIONED TABLE
      
      Regression from bug#11766232.
      m_last_part could be set beyond the last partition.
      Fixed by only setting it if within the limit.
      Also added check in print_error.
------------------------------------------------------------
revno: 3381
committer: Georgi Kodinov <gkodinov@mysql.com>
branch nick: test-5.5
timestamp: Fri 2011-03-18 10:31:39 +0100
message:
  Bug #11766854 addendum : 
  Fixed test suite failures when the auth plugin is not compiled in.
------------------------------------------------------------
revno: 3380 [merge]
committer: Georgi Kodinov <Georgi.Kodinov@Oracle.com>
branch nick: B11766854-5.5
timestamp: Thu 2011-03-17 16:09:06 +0200
message:
  merge
    ------------------------------------------------------------
    revno: 3372.2.3 [merge]
    committer: Kent Boortz <kent.boortz@sun.com>
    branch nick: mysql-5.5
    timestamp: Thu 2011-03-17 15:02:28 +0100
    message:
      Merge
    ------------------------------------------------------------
    revno: 3372.2.2 [merge]
    committer: Kent Boortz <kent.boortz@sun.com>
    branch nick: mysql-5.5
    timestamp: Wed 2011-03-16 23:26:19 +0100
    message:
      Merge
    ------------------------------------------------------------
    revno: 3372.2.1 [merge]
    committer: Kent Boortz <kent.boortz@sun.com>
    branch nick: mysql-5.5
    timestamp: Wed 2011-03-16 23:11:25 +0100
    message:
      Removed the "Third-Party Component Notices" part from README
        ------------------------------------------------------------
        revno: 1810.4000.16
        committer: Kent Boortz <kent.boortz@sun.com>
        branch nick: mysql-5.0
        timestamp: Wed 2011-03-16 23:04:29 +0100
        message:
          Removed the "Third-Party Component Notices" part
------------------------------------------------------------
revno: 3379
committer: Georgi Kodinov <Georgi.Kodinov@Oracle.com>
branch nick: B11766854-5.5
timestamp: Thu 2011-03-17 15:52:49 +0200
message:
  Bug #11766854: 60075: MYSQL_LOAD_CLIENT_PLUGIN DOESN'T CLEAR ERROR
  
  Added the cleanup code.
  Extended mysql_client_test to take --plugin-dir and --default_auth.
  Added a C test case.
------------------------------------------------------------
revno: 3378 [merge]
committer: Alfranio Correia <alfranio.correia@oracle.com>
branch nick: mysql-5.5.merge
timestamp: Thu 2011-03-17 13:25:44 +0000
message:
  merge mysql-5.5 (local) --> mysql-5.5
    ------------------------------------------------------------
    revno: 3376.1.1 [merge]
    committer: Alfranio Correia <alfranio.correia@oracle.com>
    branch nick: mysql-5.5
    timestamp: Thu 2011-03-17 12:12:25 +0000
    message:
      merge mysql-5.5 (local) --> mysql-5.5
        ------------------------------------------------------------
        revno: 3372.1.1
        committer: Alfranio Correia <alfranio.correia@oracle.com>
        branch nick: mysql-5.5
        timestamp: Wed 2011-03-16 16:38:30 +0000
        message:
          BUG#11877568 - RPL_SEMI_SYNC FAILS IN PB
          
          Currently, rpl_semi_sync is failing in PB due to the warning message:
          
            "Slave SQL: slave SQL thread is being stopped in the middle of "
            "applying of a group having updated a non-transaction table; "
            "waiting for the group completion ..."
          
          The problem started happening after the fix for BUG#11762407 what was
          automatically suppressing some warning messages.
          
          To fix the current issue, we suppress the aforementioned warning message
          and exploit the opportunity to make the sentence clearer.
------------------------------------------------------------
revno: 3377
committer: Nirbhay Choubey <nirbhay.choubey@sun.com>
branch nick: mysql-5.5.59234
timestamp: Thu 2011-03-17 18:01:06 +0530
message:
  BUG#11766184 -  59234 : cmdline clients crash --defaults-extra-file
                  with no .cnf or .ini extension.
  
  Fix for this bug was pushed as part of Bug#11765482.
------------------------------------------------------------
revno: 3376 [merge]
committer: Nirbhay Choubey <nirbhay.choubey@sun.com>
branch nick: mysql-5.5
timestamp: Thu 2011-03-17 16:31:31 +0530
message:
  Merge from mysql-5.1 -> mysql-5.5.
    ------------------------------------------------------------
    revno: 2661.742.54
    committer: Nirbhay Choubey <nirbhay.choubey@sun.com>
    branch nick: mysql-5.1
    timestamp: Thu 2011-03-17 16:28:16 +0530
    message:
      Minor fix in mysqldump test.
------------------------------------------------------------
revno: 3375
committer: Sven Sandberg <sven.sandberg@oracle.com>
branch nick: 5.5
timestamp: Thu 2011-03-17 11:31:42 +0100
message:
  BUG#11877618: rpl_slave_net_timeout fails in rpl_sync.inc (at sync_slave_with_master)
  Problem: the test had not been updated after BUG#49978 was pushed
  Fix: add 'set $rpl_only_running_threads= 1' to the end of the test
  and update the result file.
  Also, use include/assert.inc for an assertion (instead of relying
  on result file comparison).
  Also, move 'set @@global.slave_net_timeout' forwards, to get rid
  of a warning.
------------------------------------------------------------
revno: 3374 [merge]
committer: Luis Soares <luis.soares@oracle.com>
branch nick: mysql-5.5
timestamp: Wed 2011-03-16 15:16:41 +0000
message:
  Fix for BUG#11868903 (BUG#59717).
  
  Automerge: mysql-5.1 --> mysql-5.5 
    ------------------------------------------------------------
    revno: 2661.742.53
    committer: Luis Soares <luis.soares@oracle.com>
    branch nick: mysql-5.1
    timestamp: Wed 2011-03-16 15:11:54 +0000
    message:
      Fix for BUG#11868903 (BUG#59717)
            
      There is a race between two threads: user thread and the dump
      thread. The former sets a debug instruction that makes the latter wait
      before processing an Xid event. There can be cases that the dump
      thread has not yet processed the previous Xid event, causing it to
      wait one Xid event too soon, thus causing sync_slave_with_master never
      to resume.
            
      We fix this by moving the instructions that set the debug variable
      after calling sync_slave_with_master.
------------------------------------------------------------
revno: 3373 [merge]
author: hery.ramilison@oracle.com
committer: MySQL Build Team <build@mysql.com>
branch nick: mysql-5.5
timestamp: Wed 2011-03-16 15:11:20 +0100
message:
  Merge from mysql-5.5.10-release
    ------------------------------------------------------------
    revno: 3097.3.19
    tags: mysql-5.5.10
    committer: Kent Boortz <kent.boortz@oracle.com>
    branch nick: mysql-5.5.10-release-tmp
    timestamp: Thu 2011-02-17 19:36:19 +0100
    message:
      The client shared library major version was changed to 18, to reflect
      ABI changes (Bug#60061)
      
      Bumping the version from 16 to 18, instead of 17, was done to avoid a
      library conflict on Mac OS X between MySQL 5.1 and MySQL 5.5. In MySQL
      5.1 GNU libtool was used, that made the ABI version used in the file
      name to be 16, and the one stored inside the binary to be 17.
      
      MySQL 5.5 uses CMake as a build tool, that will store the same ABI
      number in the file name as inside the binary in Mac OS X, and then
      bumping the ABI number two steps avoids a conflict on Mac OS X.
